class Settings::ProcessingItemsController < ApplicationController
  before_action :set_settings_order_queue_station, only: [:show, :edit, :new, :update, :destroy]

  # GET /settings/order_queue_stations
  # GET /settings/order_queue_stations.json
  def index
    @settings_order_queue_stations = OrderQueueStation.all
  end

  # GET /settings/order_queue_stations/1
  # GET /settings/order_queue_stations/1.json
  def show
  end

  # GET /settings/order_queue_stations/new
  def new
    #Load list of categories that has product assigned.
    @menu_categories = MenuCategory.where("id in (Select distinct menu_category_id from menu_items where menu_category_id is not null)")

  end

  # GET /settings/order_queue_stations/1/edit
  def edit
  end

  # POST /settings/order_queue_stations
  # POST /settings/order_queue_stations.json
  def create

  end

  # PATCH/PUT /settings/order_queue_stations/1
  # PATCH/PUT /settings/order_queue_stations/1.json
  def update
    respond_to do |format|
      if @settings_order_queue_station.update(settings_order_queue_station_params)
        format.html { redirect_to order_queue_station_path(@settings_order_queue_station), notice: 'Order queue station was successfully updated.' }
        format.json { render :show, status: :ok, location: @settings_order_queue_station }
      else
        format.html { render :edit }
        format.json { render json: @settings_order_queue_station.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /settings/order_queue_stations/1
  # DELETE /settings/order_queue_stations/1.json
  def destroy

  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_settings_order_queue_station
      @settings_order_queue_station = OrderQueueStation.find(params[:order_queue_station_id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def settings_order_queue_station_params
      params.require(:order_queue_station).permit(:station_name, :is_active, :processing_items, :print_copy, :printer_name, :font_size, :cut_per_item, :use_alternate_name, :created_by)
    end
end
